## org.apache.maven.shared.io.scan
Interface ResourceInclusionScanner

All Known Implementing Classes:
  AbstractResourceInclusionScanner, SimpleResourceInclusionScanner, StaleResourceScanner

    public interface ResourceInclusionScanner

Version:
  $Id: ResourceInclusionScanner.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  jdcasey

Method Summary
`void` `addSourceMapping(SourceMapping sourceMapping)`
`java.util.Set` `getIncludedSources(java.io.File sourceDir, java.io.File targetDir)`

Method Detail

### addSourceMapping

    void addSourceMapping(SourceMapping sourceMapping)

### getIncludedSources

    java.util.Set getIncludedSources(java.io.File sourceDir,
                                     java.io.File targetDir)
                                     throws InclusionScanException

  Throws:
    `InclusionScanException`

Copyright © 2011. All Rights Reserved.